bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Emacs make errors on HP/UX


From: Martin Jost
Subject: Re: Emacs make errors on HP/UX
Date: Thu, 10 Mar 2005 14:24:06 +0100

"Lozano, Marcus" <address@hidden> schrieb im Newsbeitrag news:address@hidden
> [...] I am trying to build
> emacs on a machine running HP/UX 11.00
> I get the following errors below after entering the make command.
> Any thoughts of how to resolve this error?

>         cc -c  -Demacs -DHAVE_CONFIG_H   -I. -I/local0/emacs-21.3/src
> -I/usr/include/X11R6 -I/usr/include/X11R5 -I/usr/include/Motif1.2
> -I/usr/contrib/X11R6/include -I/usr/contrib/X11R5/include -g keyboard.c
> (Bundled) cc: warning 480: The -g option is available only with the C/ANSI C
> product; ignored.

This means you are using the (bundeled) C compiler.
This is only meant to recompile the kernel.
Not only does it know nothing about -g (debugging) it also isn't a ANIS-C 
compiler.

You will be completely out of luck building anything reasonable with this 
compiler.
Your options are:
- Buy the ANSI-C-Compiler from HP
  (It may already be there, installed under /opt/ansic)
- Get a gcc compiled for HP 11.00
  (Unfortunately newer gccs need a ANSI-c compiler to compile, so you are also 
out of luck compiling from source)

HTH

Martin





reply via email to

[Prev in Thread] Current Thread [Next in Thread]